{
  "_from": "immer@^8.0.1",
  "_id": "immer@8.0.4",
  "_inBundle": false,
  "_integrity": "sha512-jMfL18P+/6P6epANRvRk6q8t+3gGhqsJ9EuJ25AXE+9bNTYtssvzeYbEd0mXRYWCmmXSIbnlpz6vd6iJlmGGGQ==",
  "_location": "/immer",
  "_phantomChildren": {},
  "_requested": {
    "type": "range",
    "registry": true,
    "raw": "immer@^8.0.1",
    "name": "immer",
    "escapedName": "immer",
    "rawSpec": "^8.0.1",
    "saveSpec": null,
    "fetchSpec": "^8.0.1"
  },
  "_requiredBy": [
    "/@reduxjs/toolkit"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/immer/-/immer-8.0.4.tgz",
  "_shasum": "3a21605a4e2dded852fb2afd208ad50969737b7a",
  "_spec": "immer@^8.0.1",
  "_where": "/root/farzoom/eco-ebg/node_modules/@reduxjs/toolkit",
  "author": {
    "name": "Michel Weststrate"
  },
  "bugs": {
    "url": "https://github.com/immerjs/immer/issues"
  },
  "bundleDependencies": false,
  "deprecated": false,
  "description": "Create your next immutable state by mutating the current one",
  "devDependencies": {
    "@babel/core": "^7.8.4",
    "@babel/node": "^7.8.4",
    "@types/jest": "^25.1.2",
    "coveralls": "^3.0.0",
    "cpx2": "^2.0.0",
    "cross-env": "^5.1.3",
    "deep-freeze": "^0.0.1",
    "flow-bin": "^0.123.0",
    "husky": "^1.2.0",
    "immutable": "^3.8.2",
    "import-size": "^1.0.2",
    "jest": "^25.1.0",
    "lodash": "^4.17.4",
    "lodash.clonedeep": "^4.5.0",
    "prettier": "1.19.1",
    "pretty-quick": "^1.8.0",
    "redux": "^4.0.5",
    "rimraf": "^2.6.2",
    "seamless-immutable": "^7.1.3",
    "semantic-release": "^17.0.2",
    "spec.ts": "^1.1.0",
    "ts-jest": "^25.2.0",
    "tsdx": "^0.12.3",
    "typescript": "^3.9.3",
    "webpack": "^4.41.6",
    "webpack-cli": "^3.3.11"
  },
  "files": [
    "dist",
    "compat",
    "src"
  ],
  "funding": {
    "type": "opencollective",
    "url": "https://opencollective.com/immer"
  },
  "homepage": "https://github.com/immerjs/immer#readme",
  "husky": {
    "hooks": {
      "pre-commit": "pretty-quick --staged"
    }
  },
  "jsdelivr": "dist/immer.umd.production.min.js",
  "jsnext:main": "dist/immer.esm.js",
  "keywords": [
    "immutable",
    "mutable",
    "copy-on-write"
  ],
  "license": "MIT",
  "main": "dist/index.js",
  "module": "dist/immer.esm.js",
  "name": "immer",
  "react-native": "dist/immer.esm.js",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/immerjs/immer.git"
  },
  "scripts": {
    "build": "rimraf dist/ && tsdx build --name immer --format esm,cjs,umd && yarn build:flow",
    "build:flow": "cpx 'src/types/index.js.flow' dist -v",
    "coverage": "jest --coverage",
    "coveralls": "jest --coverage && cat ./coverage/lcov.info | ./node_modules/.bin/coveralls && rm -rf ./coverage",
    "publish-docs": "cd website && GIT_USER=mweststrate USE_SSH=true yarn docusaurus deploy",
    "start": "cd website && yarn start",
    "test": "jest && yarn test:build && yarn test:flow",
    "test:build": "yarn build && NODE_ENV='production' yarn jest --config jest.config.build.js",
    "test:flow": "yarn flow check __tests__/flow",
    "test:perf": "cd __performance_tests__ && babel-node add-data.js && babel-node todo.js && babel-node incremental.js",
    "test:size": "yarn build && yarn import-size --report . produce enableES5 enableMapSet enablePatches enableAllPlugins",
    "test:sizequick": "tsdx build --name immer --format esm && yarn import-size . produce",
    "watch": "jest --watch"
  },
  "sideEffects": false,
  "source": "src/immer.ts",
  "types": "./dist/immer.d.ts",
  "typesVersions": {
    ">=3.7": {
      "*": [
        "./*"
      ]
    },
    ">=3.1": {
      "*": [
        "compat/pre-3.7/*"
      ]
    }
  },
  "umd:main": "dist/immer.umd.production.min.js",
  "unpkg": "dist/immer.umd.production.min.js",
  "version": "8.0.4"
}
